package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.PVPart;
import com.sa.ibiz.demo.demo.service.dto.PVPartSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[PVPart] 服务对象接口
 */
public interface PVPartService extends IService<PVPart>{

	boolean create(PVPart et);
	boolean getDraft(PVPart et);
	boolean checkKey(PVPart et);
	boolean update(PVPart et);
		PVPart get(PVPart et);
	boolean remove(PVPart et);
    List<PVPart> listCurPV(PVPartSearchFilter filter) ;
	Page<PVPart> searchCurPV(PVPartSearchFilter filter);
    List<PVPart> listDefault(PVPartSearchFilter filter) ;
	Page<PVPart> searchDefault(PVPartSearchFilter filter);
	/**	 实体[PVPart] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }